<?xml version="1.0" encoding="utf-8"?>
<ManualTopic ID="/baanerp/tl/onlinemanual/000020f" xml:lang="en">
	<Header>
		<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">How to test the DeleteRef method</Title>
		<Keyword ContextSensitive="No"><Level1>Business Object Layer (BOL)</Level1>
		</Keyword>
		<Keyword ContextSensitive="No"><Level1>
                                 Infor ERP LN Development Tools
                              </Level1>
		</Keyword>
		<Keyword ContextSensitive="No"><Level1>DeleteRef method</Level1>
		</Keyword>
	</Header>
	<AimSection><Paragraph class="Default">This topic describes how you can test the public DeleteRef method of a <Link href="/baanerp/tt/glossary/glossary#100032" role="glossary">Business Object</Link>.</Paragraph>
		<Paragraph class="Default">The DeleteRef method enables you to delete references from an external application to a Business Object. These external references are stored in a reference table. For more information, refer to the Help on the <Link href="/baanerp/tt/adv/ttadv7111m000" role="session">Tables (ttadv7111m000)</Link> session .</Paragraph>
	</AimSection>
	<GeneralSection><SectionTitle>XML schema file request</SectionTitle>
		<Figure space-and-orientation="indented-estimated"><FigIntro>The following figure shows the XML schema file of the Request argument of the DeleteRef method of the Order (tlbct790) Business Object.</FigIntro>
			<HTML:IMG height="419" width="581" SRC="../images/nt_screen_000020fa.gif" path="/enterpriseserver/tools/tl/onlinemanual" btb-count="1" btb-count2="1" btb-image-name="nt_screen_000020fa.gif" btb-source-path="C:\SVN\docnl\Technology\EnterpriseServer~8.5\EnterpriseServer" btb-image-path="/enterpriseserver/tools/tl/images/nt_screen_000020fa.gif" ID="IDA2BCAC" alt="[...]" xmlns:HTML="http://www.w3.org/TR/REC-html40"/><FigCaption>tl bct bl790bdrrq0000.xsd tlbct790-DeleteRef-Request</FigCaption>
		</Figure>
	</GeneralSection>
	<GeneralSection><SectionTitle>Enter request</SectionTitle>
		<Paragraph class="Default">Click <GUIRef href="/baanerp/tl/bct/tlbct3250m000#createrequest" role="command">Enter Request</GUIRef> to define the Request argument for the DeleteRef method.</Paragraph>
		<Figure space-and-orientation="indented-estimated"><FigIntro>A Menu Browser starts:</FigIntro>
			<HTML:IMG height="496" width="284" SRC="../images/nt_screen_000020fb.gif" path="/enterpriseserver/tools/tl/onlinemanual" btb-count="1" btb-count2="1" btb-image-name="nt_screen_000020fb.gif" btb-source-path="C:\SVN\docnl\Technology\EnterpriseServer~8.5\EnterpriseServer" btb-image-path="/enterpriseserver/tools/tl/images/nt_screen_000020fb.gif" ID="IDAFCCAC" alt="[...]" xmlns:HTML="http://www.w3.org/TR/REC-html40"/></Figure>
		<Figure space-and-orientation="indented-estimated"><FigIntro>For example, use the <Link href="/baanerp/tt/aad/ttaad4100" role="session">General Table Maintenance (ttaad4100 )</Link> session to view details on a reference for the order 614:</FigIntro>
			<HTML:IMG height="159" width="433" SRC="../images/nt_screen_000020fc.gif" path="/enterpriseserver/tools/tl/onlinemanual" btb-count="1" btb-count2="1" btb-image-name="nt_screen_000020fc.gif" btb-source-path="C:\SVN\docnl\Technology\EnterpriseServer~8.5\EnterpriseServer" btb-image-path="/enterpriseserver/tools/tl/images/nt_screen_000020fc.gif" ID="IDAOCCAC" alt="[...]" xmlns:HTML="http://www.w3.org/TR/REC-html40"/></Figure>
		<Figure space-and-orientation="indented-estimated"><FigIntro>For example, delete a reference for the order 614:</FigIntro>
			<HTML:IMG height="402" width="351" SRC="../images/nt_screen_000020fd.gif" path="/enterpriseserver/tools/tl/onlinemanual" btb-count="1" btb-count2="1" btb-image-name="nt_screen_000020fd.gif" btb-source-path="C:\SVN\docnl\Technology\EnterpriseServer~8.5\EnterpriseServer" btb-image-path="/enterpriseserver/tools/tl/images/nt_screen_000020fd.gif" ID="IDAXCCAC" alt="[...]" xmlns:HTML="http://www.w3.org/TR/REC-html40"/></Figure>
		<Paragraph class="Default">Save the Request argument and close the graphical browser to return to the <GUIRef href="/baanerp/tl/bct/tlbct3250m000" role="session">BOL Test Tool - Public Layer (tlbct3250m000)</GUIRef> session.</Paragraph>
	</GeneralSection>
	<GeneralSection><SectionTitle>Execute test</SectionTitle>
		<Paragraph class="Default">After you create the Request argument, you can run the test. Click <GUIRef href="/baanerp/tl/bct/tlbct3250m000#testdll" role="command">Execute Test</GUIRef>. For more details, refer to <Link href="/baanerp/tl/onlinemanual/000020a#executetest" role="manual">Execute test</Link>.</Paragraph>
	</GeneralSection>
	<GeneralSection><SectionTitle>View response</SectionTitle>
		<Figure space-and-orientation="indented-estimated"><FigIntro>The response message looks like the following. Essentially, the Menu Browser contains no information:</FigIntro>
			<HTML:IMG height="309" width="347" SRC="../images/nt_screen_000020fe.gif" path="/enterpriseserver/tools/tl/onlinemanual" btb-count="1" btb-count2="1" btb-image-name="nt_screen_000020fe.gif" btb-source-path="C:\SVN\docnl\Technology\EnterpriseServer~8.5\EnterpriseServer" btb-image-path="/enterpriseserver/tools/tl/images/nt_screen_000020fe.gif" ID="IDAADCAC" alt="[...]" xmlns:HTML="http://www.w3.org/TR/REC-html40"/></Figure>
		<Figure space-and-orientation="indented-estimated"><FigIntro>You can use the <Link href="/baanerp/tt/aad/ttaad4100" role="session">General Table Maintenance (ttaad4100 )</Link> session to check whether the reference is indeed deleted.</FigIntro>
			<HTML:IMG height="161" width="434" SRC="../images/nt_screen_000020ff.gif" path="/enterpriseserver/tools/tl/onlinemanual" btb-count="1" btb-count2="1" btb-image-name="nt_screen_000020ff.gif" btb-source-path="C:\SVN\docnl\Technology\EnterpriseServer~8.5\EnterpriseServer" btb-image-path="/enterpriseserver/tools/tl/images/nt_screen_000020ff.gif" ID="IDAJDCAC" alt="[...]" xmlns:HTML="http://www.w3.org/TR/REC-html40"/></Figure>
	</GeneralSection>
	<GeneralSection><SectionTitle>View result</SectionTitle>
		<Figure space-and-orientation="indented-estimated"><FigIntro>A possible error is as follows:</FigIntro>
			<HTML:IMG height="339" width="473" SRC="../images/nt_screen_000020fg.gif" path="/enterpriseserver/tools/tl/onlinemanual" btb-count="1" btb-count2="1" btb-image-name="nt_screen_000020fg.gif" btb-source-path="C:\SVN\docnl\Technology\EnterpriseServer~8.5\EnterpriseServer" btb-image-path="/enterpriseserver/tools/tl/images/nt_screen_000020fg.gif" ID="IDASDCAC" alt="[...]" xmlns:HTML="http://www.w3.org/TR/REC-html40"/></Figure>
	</GeneralSection>
	<RelatedTopics><SectionTitle>Related topics</SectionTitle>
		<RelTopic><Link href="/baanerp/tl/onlinemanual/000020" role="manual">How to test public methods for Infor ERP LN</Link>
		</RelTopic>
		<RelTopic><Link href="/baanerp/tl/onlinemanual/000010" role="manual">How to test protected methods for Infor ERP LN</Link>
		</RelTopic>
		<RelTopic><Link href="/baanerp/tt/onlinemanual/100107" role="manual">To Model a Business Object</Link>
		</RelTopic>
	</RelatedTopics>
</ManualTopic>
